## openvswitch 2.15.0+ds1

=== debian/changelog ===
openvswitch (2.15.0+ds1-8~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Oct 2021 22:19:40 +0200

openvswitch (2.15.0+ds1-8) unstable; urgency=medium

  * Blacklist more unit tests for armhf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2021 18:28:26 +0200

openvswitch (2.15.0+ds1-7) unstable; urgency=medium

  * mips64el: blacklist 1035: ofproto-dpif - select group with weights.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Oct 2021 11:01:18 +0200

openvswitch (2.15.0+ds1-6) unstable; urgency=medium

  [ Felix Moessbauer ]
  * Also use slave update-alternative for libofproto.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 21:17:21 +0200

openvswitch (2.15.0+ds1-5) unstable; urgency=medium

  * Never run unit test 21: bfd - bfd decay, as it's failing too often on so
    many arch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 11:52:03 +0200

openvswitch (2.15.0+ds1-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 09:32:56 +0200

openvswitch (2.15.0+ds1-3) experimental; urgency=medium

  [ Amaury Séchet ]
  * Add an openvswitch-source package, needed to build OVN.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Mar 2021 22:15:45 +0100

openvswitch (2.15.0+ds1-2) unstable; urgency=medium

  * Mipsel64 and mipsel: blacklist more tests, as they are failing on these
    arch, and then the package FTBFS.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Feb 2021 21:58:03 +0100

openvswitch (2.15.0+ds1-1) unstable; urgency=medium

  * New upstream final release.
  * Removed CVE patches applied upstream:
    - CVE-2020-27827
    - CVE-2020-35498
  * Fix renaming: libopenvswitch-2.14.so.0.0.90 -> libopenvswitch-2.15.so.0.0.0

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Feb 2021 17:35:10 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-5) unstable; urgency=high

  * CVE-2020-35498: Packet parsing vulnerability. Applied upstream patch:
    flow: Support extra padding length.patch (Closes: #982493).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Feb 2021 22:59:35 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-4) unstable; urgency=high

  * CVE-2020-27827: denial of service attacks in which crafted LLDP packets
    could cause memory to be lost when allocating data to handle specific
    optional TLVs. Applied upstream patch: lldp: do not leak memory on multiple
    instances of TLVs (Closes: #980132).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2021 08:10:49 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-3) unstable; urgency=medium

  * Reworked .service files to make them look like in Ubuntu (as I still want
    our packages converge).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 21:08:37 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-2) unstable; urgency=medium

  * Blacklist more tests for mipsel and mipsel64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 00:20:48 +0100

openvswitch (2.15.0~git20210104.def6eb1ea+dfsg1-1) unstable; urgency=high

  [ Luca Boccassi ]
  * Merge branch 'master-dfsg' into 2.15
  * Bump dependency on libbpdk-dev >= 20.11 (Closes: #974588)
  * Refresh py3-compat.patch for v2.15
  * Realign armhf test skip range due to upstream changes
  * Use new --with-dpdk=shared configure flag value

  [ Thomas Goirand ]
  * Blacklist test 532 (because non-deterministic).

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Jan 2021 14:56:30 +0100

openvswitch (2.13.0+dfsg1-16) unstable; urgency=medium

  * Generating postinst at build time to avoid using dpkg-architecture at
    runtime.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Jan 2021 22:13:51 +0100

openvswitch (2.13.0+dfsg1-15) unstable; urgency=medium

  * Fix installing OVS alternatives on non-amd64 arch (Closes: #979366).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2021 22:29:08 +0100

openvswitch (2.13.0+dfsg1-14) unstable; urgency=medium

  * Starts openvswitch-nonetwork.service after dpdk.service. Thanks to
    Adriaan Schmidt from Siemens for the report (Closes: #968333).
  * Fix ifupdown.sh script (Closes: #964029).
  * Fix dh_installinit dh_installsystemd calls, and switch to debhelper-compat
    12 (Closes: #961746).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2021 13:49:14 +0100

openvswitch (2.13.0+dfsg1-13) unstable; urgency=medium

  * control: Remove myself as an uploader.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 13 Dec 2020 15:13:09 -0800

openvswitch (2.13.0+dfsg1-12) unstable; urgency=medium

  * d/rules: replace x86_64-linux-gnu by a wildcard so it works in all arch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jun 2020 17:02:50 +0200

openvswitch (2.13.0+dfsg1-11) unstable; urgency=medium

  * Always blacklist 1021 and 1057 (also on amd64).
  * Add patch from Schmidt Adriaan to fix dpdk runtime installation of
    alternatives. Thanks a lot to him. (Closes: #963957)

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 10:25:37 +0200

openvswitch (2.13.0+dfsg1-10) unstable; urgency=medium

  * armhf: blacklist 918 1021 1057 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Mar 2020 00:26:15 +0200

openvswitch (2.13.0+dfsg1-9) unstable; urgency=medium

  * Blacklist 917. ofproto - asynchronous message control (OpenFlow 1.2) on
    mipsel arch.
  * Also add a testsuite list for ia64.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 09:02:33 +0200

openvswitch (2.13.0+dfsg1-8) unstable; urgency=medium

  * Fixed mipsel64 -> mips64el in d/rules unit tests blacklisting.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Mar 2020 22:01:31 +0200

openvswitch (2.13.0+dfsg1-7) unstable; urgency=medium

  * armhf: blacklist 26: bfd - check that BFD works together with RSTP.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Mar 2020 21:14:17 +0200

openvswitch (2.13.0+dfsg1-6) unstable; urgency=medium

  * Never run unit test 20 which isn't deterministic.


