=== debian/control ===
Source: openvswitch
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Simon Horman <horms@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 autoconf,
 automake,
 bzip2,
 debhelper-compat (= 12),
 dh-python,
 graphviz,
 libcap-ng-dev,
 libdpdk-dev (>= 20.11) [amd64 i386 ppc64el arm64],
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libunbound-dev,
 openssl,
 openstack-pkg-tools,
 pkg-config,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-six,
 python3-sortedcontainers,
 python3-sphinx,
 python3-zope.interface,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
Homepage: http://openvswitch.org/

Package: openvswitch-common
Architecture: linux-any
Depends:
 iproute2,
 openssl,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 ethtool,
Replaces:
 openvswitch-switch (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
 openvswitch-test (<< 2.8.0),
 openvswitch-testcontroller (<< 2.8.0),
 openvswitch-vtep (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
 ovn-central (<< 2.8.0),
 ovn-common (<< 2.8.0),
 ovn-controller-vtep (<< 2.8.0),
 ovn-docker (<< 2.8.0),
 ovn-host (<< 2.8.0),
Breaks:
 openvswitch-switch (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
 openvswitch-test (<< 2.8.0),
 openvswitch-testcontroller (<< 2.8.0),
 openvswitch-vtep (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
 ovn-central (<< 2.8.0),
 ovn-common (<< 2.8.0),
 ovn-controller-vtep (<< 2.8.0),
 ovn-docker (<< 2.8.0),
 ovn-host (<< 2.8.0),
Provides:
 openvswitch-test,
 ovn-common,
 ovn-docker,
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: openvswitch-dbg
Section: debug
Architecture: linux-any
Depends:
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 openvswitch-testcontroller (<< ${binary:Version}),
 openvswitch-testcontroller (>> ${binary:Version}),
Description: Debug symbols for Open vSwitch packages
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the debug symbols for all the other openvswitch-*
 packages.  Install it to debug one of them or to examine a core dump
 produced by one of them.

Package: openvswitch-dev
Architecture: linux-any
Depends:
 openvswitch-common (>= ${binary:Version}),
 ${misc:Depends},
Description: Open vSwitch development package
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides openvswitch headers and libopenvswitch for developers.

Package: openvswitch-ipsec
Architecture: linux-any
Depends:
 iproute2,
 lsb-base,
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 python3-openvswitch (= ${source:Version}),
 strongswan,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open vSwitch IPsec tunneling support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package provides IPsec tunneling support for OVS tunnels.

Package: openvswitch-pki
Architecture: all
Depends:
 openvswitch-common (<< ${source:Version}.1~),
 openvswitch-common (>= ${source:Version}),
 ${misc:Depends},
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: openvswitch-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Open vSwitch source code
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Open vSwitch source code to support
 use with the Open Virtual Network (OVN) build.

Package: openvswitch-switch
Architecture: linux-any
Depends:
 kmod,
 lsb-base,
 netbase,
 openvswitch-common (= ${binary:Version}),
 procps,
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.

Package: openvswitch-switch-dpdk
Architecture: amd64 arm64 i386 ppc64el
Depends:
 dpdk,
 openvswitch-switch (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Enhances:
 openvswitch-switch,
Description: DPDK enabled Open vSwitch switch implementation
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.
 .
 DPDK is a set of libraries for fast packet processing. Applications run
 in user-space and communicate directly with dedicated network interfaces.
 .
 This package provides a DPDK enabled implementation of the ovs-vswitchd
 binary.

Package: openvswitch-testcontroller
Architecture: linux-any
Depends:
 lsb-base,
 openvswitch-common (= ${binary:Version}),
 openvswitch-pki (<< ${source:Version}.1~),
 openvswitch-pki (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: openvswitch-vtep
Architecture: linux-any
Depends:
 lsb-base,
 openvswitch-common (= ${binary:Version}),
 openvswitch-switch (= ${binary:Version}),
 python3-openvswitch (<< ${source:Version}.1~),
 python3-openvswitch (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open vSwitch VTEP utilities
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides utilities that are useful to interact with a
 VTEP-configured database and a VTEP emulator.

Package: python3-openvswitch
Architecture: all
Section: python
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python 3 bindings for Open vSwitch database.
