=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openvswitch/ovs
include /usr/share/openstack-pkg-tools/pkgos.make

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with autoreconf,python3,sphinxdoc

# use --as-needed only if supported by dh-autoreconf (to simplify backporting)
DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
override_dh_autoreconf:
	dh_autoreconf $(DH_AS_NEEDED)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

override_dh_auto_configure:
	test -d _debian || mkdir _debian
	cd _debian && ( \
		test -e Makefile || \
		../configure --prefix=/usr --localstatedir=/var --enable-ssl --enable-shared \
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--sysconfdir=/etc $(DATAPATH_CONFIGURE_OPTS))
ifneq (,$(filter i386 amd64 ppc64el arm64, $(DEB_HOST_ARCH)))
	test -d _dpdk || mkdir _dpdk
	cd _dpdk && ( \
		test -e Makefile || \
		../configure --prefix=/usr --localstatedir=/var --enable-ssl --enable-shared \
			--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
			--with-dpdk=shared --sysconfdir=/etc \
			$(DATAPATH_CONFIGURE_OPTS))
endif


# NOTE(zigo): by default, just run all tests
# but 20: bfd - bfd decay FAILED (bfd.at:396)
# that one doesn't feel like deterministic.
# 1021: ofproto-dpif - select group with weights FAILED (ofproto-dpif.at:535)
# 1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-
TEST_LIST_DPDK = $(TEST_LIST)

# armhf:
#   24: bfd.at:662         bfd - check that BFD works together with RSTP
#   25: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
#   26: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
#  918: ofproto - asynchronous message control (OpenFlow 1.3) ok
# 1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
# 1138: ofproto-dpif.at:6890 ofproto-dpif - sFlow packet sampling - LACP structures
# 1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-23 28-531 533-917 919-1020 1022-1056 1058-1068 1070 1072-1101 1103-1135 1139-
TEST_LIST_DPDK = $(TEST_LIST)
endif # armhf

# mipsel:
#    20: bfd - bfd decay FAILED (bfd.at:396)
#    21: bfd - bfd decay
#   917: ofproto - asynchronous message control (OpenFlow 1.2) (ofproto.at:3183)
#   918: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ovs-macros.at:241)
#   927: ofproto - asynchronous message control (OpenFlow 1.3)  FAILED (ofproto.at:3405)
#   919: ofproto - asynchronous message control (OpenFlow 1.4) FAILED (ovs-ofctl)
#  1035: ofproto-dpif - select group with weights
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  1069: ofproto-dpif - controller action without megaflows
#  1102: ofproto-dpif - continuation - resubmit FAILED (ovs-macros.at:241)
#  1071: ofproto-dpif - controller action without megaflows
#  1136: ofproto-dpif - sFlow packet sampling - LACP structures
ifneq (,$(filter mipsel, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-916 920-926 928-1020 1022-1034 1036-1056 1058-1068 1070 1072-1101 1103-1135 1137-
TEST_LIST_DPDK = $(TEST_LIST)
endif # mipsel

# mips64el:
#    20: bfd - bfd decay FAILED (bfd.at:396)
#  1033: ofproto-dpif - select group with weights
#  1035: ofproto-dpif - select group with weights
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1069: ofproto-dpif - controller action without megaflows
ifneq (,$(filter mips64el, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-1020 1022-1032 1034 1037-1056 1058-1068 1070 1072-1120 1122-
TEST_LIST_DPDK = $(TEST_LIST)
endif # mips64el

# armel:
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1123: ofproto-dpif - sFlow packet sampling - LACP structures FAILED (ofproto-dpif.at:6643)
ifneq (,$(filter armel, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-1020 1022-1056 1058-1122 1124-
TEST_LIST_DPDK = $(TEST_LIST)
endif #armel

# arm64:
#   159: ofp-actions - inconsistent MPLS actions         FAILED (ofp-actions.at:819)
#  1021: ofproto-dpif - select group with weights        FAILED (ofproto-dpif.at:535)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 21-158 160-531 533-1020 1022-1056 1058-
TEST_LIST_DPDK = $(TEST_LIST)
endif #arm64

# alpha
#  2724: ovn -- dns lookup : 1 HV, 2 LS, 2 LSPs/LS       FAILED (ovn.at:7451)
#  2728: ovn -- vlan traffic for external network with distributed router gateway port FAILED (ovn.at:8563)
#  2737: ovn -- IPv6 periodic RA                         FAILED (ovn.at:9916)
ifneq (,$(filter alpha, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-2723 2725-2727 2729-2736 2738-
TEST_LIST_DPDK = $(TEST_LIST)
endif #alpha

# hppa
#    20: bfd - bfd decay FAILED (bfd.at:314)
#   847: ofproto - bundle del group (OpenFlow 1.5) FAILED (ofproto.at:813)
#   850: ofproto - bundle remove group buckets FAILED (ofproto.at:1005)
#   916: ofproto - asynchronous message control (OpenFlow 1.0) FAILED (ovs-macros.at:241)
#   917: ofproto - asynchronous message control (OpenFlow 1.2) FAILED (ovs-macros.at:241)
#   919: ofproto - asynchronous message control (OpenFlow 1.4) FAILED (ovs-ofctl)
#   918: ofproto - asynchronous message control (OpenFlow 1.3) FAILED (ofproto.at:3371)
#   942: ofproto - flow monitoring pause and resume FAILED (ofproto.at:4850)
#  1033: ofproto-dpif - masked set-field into metadata FAILED (ofproto-dpif.at:860)
#  1021: ofproto-dpif - select group with weights FAILED (ofproto-dpif.at:535)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  1102: ofproto-dpif - continuation - resubmit FAILED (ovs-macros.at:241)
#  1105: ofproto-dpif - continuation - mirroring FAILED (ovs-macros.at:241)
#  1123: ofproto-dpif - sFlow packet sampling - LACP structures FAILED (ofproto-dpif.at:6643)
#  1181: ofproto - bundle with variable bfd/cfm config   FAILED (ofproto-dpif.at:8749)
#  1209: ofproto-dpif - conntrack - zones                FAILED (ofproto-dpif.at:9898)
#  1735: ovsdb-server combines updates on backlogged connections FAILED (ovsdb-server.at:1205)
#  2193: RSTP - dummy interface FAILED (rstp.at:210)
ifneq (,$(filter hppa, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-531 533-846 848-849 851-915 920-941 943-1020 1022-1056 1058-1101 1103-1104 1106-1122 1124-1180 1182-1208 1210-1734 1736-2192 2194-
TEST_LIST_DPDK = $(TEST_LIST)
endif #hppa

# sparc64
#    20: bfd - bfd decay                                 FAILED (bfd.at:396)
#    26: bfd - check that BFD works together with RSTP   FAILED (bfd.at:829)
#   466: fuzz regression - ofp_print_fuzzer-5395207246839808 FAILED (fuzz-regression.at:12)
#   900: ofproto - bundle packet-out makes bundle commit to fail(OpenFlow 1.4) FAILED (ofproto.at:2180)
#   918: ofproto - asynchronous message control (OpenFlow 1.3) ok
#   942: ofproto - flow monitoring pause and resume      ok
#   998: PMD - monitor threads                           FAILED (pmd.at:660)
#  1057: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:1893)
#  2184: STP - dummy interface                           FAILED (stp.at:439)
#  2185: STP - flush the fdb and mdb when topology changed FAILED (stp.at:529)
#  2249: auto-attach - packets                           FAILED (auto-attach.at:5)
ifneq (,$(filter sparc64, $(DEB_HOST_ARCH)))
TEST_LIST = 1-19 22-25 27-465 467-531 533-899 901-917 919-941 943-997 999-1056 1058-2183 2186-2248 2250-
TEST_LIST_DPDK = $(TEST_LIST)
endif #sparc64

# ia64
