## openvswitch 2.15.2

=== debian/changelog ===
openvswitch (2.15.2-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Jan 2022 10:18:05 +0000

openvswitch (2.15.2-0ubuntu1) hirsute; urgency=medium

  * New upstream point release (LP: #1956752).
  * d/p/CVE-2021-36980.patch: Dropped, included in release.
  * d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch:
    Dropped, included in release.
  * d/p/py3-compat.patch: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Jan 2022 10:42:22 +0000
