## openvswitch 2.16.0

=== debian/changelog ===
openvswitch (2.16.0-0ubuntu2.1) impish-security; urgency=medium

  * SECURITY UPDATE: memory leak via fragmented packets
    - debian/patches/CVE-2021-3905.patch: release unhandled packets from
      the batch in lib/ipf.c.
    - CVE-2021-3905

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 14 Jan 2022 09:04:33 -0500

openvswitch (2.16.0-0ubuntu2) impish; urgency=medium

  * d/p/ovsdb-idl-Add-APIs-to-query.patch: Cherry pick fix to add
    new API's to query if a table or column is present, required for OVN
    > 21.09.0~.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Sep 2021 09:17:52 +0100

openvswitch (2.16.0-0ubuntu1) impish; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 17 Aug 2021 10:53:42 +0100

openvswitch (2.16.0~git20210719.45bd6d93f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot from 2.16 release branch.
  * d/p/ovs-dirs.patch: Drop, included in snapshot.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Jul 2021 10:58:12 +0100

openvswitch (2.15.1-0ubuntu1) impish; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream minor release 2.15.1
  * drop d/p/ovs-dev-ovs-ctl-Allow-recording-hostname-separately.patch which
    is upstream in 2.15.1
  * d/control: python3-six bdep is no more needed
  * drop d/p/py3-compat.patch as upstream switched to python3 in 2.15.1

  [ James Page ]
  * d/ifupdown.sh: Correct paths for systemctl and the
    openvswitch-switch systemd unit for ifupdown integration
    (LP: #1731916).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 13 Jul 2021 14:58:38 +0200

openvswitch (2.15.0-0ubuntu4) impish; urgency=medium

  * Re-introduce openvswitch-ipsec package (LP: #1912610):
    - d/control: Add openvswitch-ipsec with relevant dependencies.
    - d/openvswitch-ipsec.*: Install ipsec monitor script and provide
      systemd service for this feature.
    - d/p/ovs-ctl-ipsec.patch: Skip monitoring of ipsec daemon as
      systemd will do this.
  * d/rules: Drop redundant usage of --with=systemd.
  * d/copyright: Tidy to remove usage of tabs.
  * d/p/ovs-dirs.patch: Cherry pick fix to ensure that Python module
    uses configured runtime directories.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jun 2021 10:21:21 +0100
