=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders:
+ Ben Pfaff <pfaffben@debian.org>,
  Simon Horman <horms@debian.org>,
- Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- autoconf,
- automake,
+ autoconf (>= 2.64),
+ automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  dh-python,
  graphviz,
  libcap-ng-dev,
+ libdbus-1-dev [amd64 i386 ppc64el arm64],
  libdpdk-dev (>= 20.11) [amd64 i386 ppc64el arm64],
  libnuma-dev [amd64 i386 ppc64el arm64],
  libpcap-dev [amd64 i386 ppc64el arm64],
@@ -21,24 +22,21 @@
  libtool,
  libunbound-dev,
  openssl,
- openstack-pkg-tools,
  pkg-config,
  procps,
  python3-all-dev,
  python3-setuptools,
- python3-six,
  python3-sortedcontainers,
  python3-sphinx,
- python3-zope.interface,
-Standards-Version: 4.1.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
+Standards-Version: 4.4.0
 Homepage: http://openvswitch.org/
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
+XS-Testsuite: autopkgtest
 
 Package: openvswitch-common
 Architecture: linux-any
 Depends:
- iproute2,
  openssl,
  python3-six,
  ${misc:Depends},
@@ -46,30 +44,11 @@
  ${shlibs:Depends},
 Suggests:
  ethtool,
+ openvswitch-doc,
+Breaks:
+ openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Replaces:
- openvswitch-switch (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
- openvswitch-test (<< 2.8.0),
- openvswitch-testcontroller (<< 2.8.0),
- openvswitch-vtep (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
- ovn-central (<< 2.8.0),
- ovn-common (<< 2.8.0),
- ovn-controller-vtep (<< 2.8.0),
- ovn-docker (<< 2.8.0),
- ovn-host (<< 2.8.0),
-Breaks:
- openvswitch-switch (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
- openvswitch-test (<< 2.8.0),
- openvswitch-testcontroller (<< 2.8.0),
- openvswitch-vtep (<< 2.10.0+2018.08.28+git.8ca7c82b7d+ds1),
- ovn-central (<< 2.8.0),
- ovn-common (<< 2.8.0),
- ovn-controller-vtep (<< 2.8.0),
- ovn-docker (<< 2.8.0),
- ovn-host (<< 2.8.0),
-Provides:
- openvswitch-test,
- ovn-common,
- ovn-docker,
+ openvswitch-switch (<< 2.13.0~git20200212.15ae9db33-0ubuntu2~),
 Description: Open vSwitch common components
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -90,9 +69,6 @@
  openvswitch-switch (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- openvswitch-testcontroller (<< ${binary:Version}),
- openvswitch-testcontroller (>> ${binary:Version}),
 Description: Debug symbols for Open vSwitch packages
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -106,27 +82,28 @@
  packages.  Install it to debug one of them or to examine a core dump
  produced by one of them.
 
-Package: openvswitch-dev
-Architecture: linux-any
-Depends:
- openvswitch-common (>= ${binary:Version}),
- ${misc:Depends},
-Description: Open vSwitch development package
- Open vSwitch is a production quality, multilayer, software-based, Ethernet
- virtual switch. It is designed to enable massive network automation through
- programmatic extension, while still supporting standard management interfaces
- and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
- addition, it is designed to support distribution across multiple physical
- servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
- 1000V.
- .
- This package provides openvswitch headers and libopenvswitch for developers.
+Package: openvswitch-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: Open vSwitch documentation
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ This package provides documentation for configuration and use
+ of Open vSwitch.
 
 Package: openvswitch-ipsec
 Architecture: linux-any
 Depends:
  iproute2,
- lsb-base,
  openvswitch-common (= ${binary:Version}),
  openvswitch-switch (= ${binary:Version}),
  python3-openvswitch (= ${source:Version}),
@@ -182,11 +159,12 @@
 Package: openvswitch-switch
 Architecture: linux-any
 Depends:
- kmod,
- lsb-base,
+ kmod | module-init-tools,
  netbase,
  openvswitch-common (= ${binary:Version}),
  procps,
+ python3-netifaces,
+ python3-openvswitch (>= ${source:Version}),
  uuid-runtime,
  ${misc:Depends},
  ${python3:Depends},
@@ -231,13 +209,29 @@
  This package provides a DPDK enabled implementation of the ovs-vswitchd
  binary.
 
+Package: openvswitch-test
+Architecture: all
+Depends:
+ python3-twisted,
+ ${misc:Depends},
+ ${python3:Depends},
+Description: Open vSwitch test package
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ This package contains utilities that are useful to diagnose
+ performance and connectivity issues in Open vSwitch setup.
+
 Package: openvswitch-testcontroller
 Architecture: linux-any
 Depends:
- lsb-base,
- openvswitch-common (= ${binary:Version}),
- openvswitch-pki (<< ${source:Version}.1~),
- openvswitch-pki (>= ${source:Version}),
+ openvswitch-common (= ${binary:Version}),
+ openvswitch-pki (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Simple controller for testing OpenFlow setups
@@ -249,10 +243,9 @@
 Package: openvswitch-vtep
 Architecture: linux-any
 Depends:
- lsb-base,
- openvswitch-common (= ${binary:Version}),
- openvswitch-switch (= ${binary:Version}),
- python3-openvswitch (<< ${source:Version}.1~),
+ lsb-release,
+ openvswitch-common (>= ${binary:Version}),
+ openvswitch-switch (>= ${binary:Version}),
  python3-openvswitch (>= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -285,4 +278,5 @@
  to support distribution across multiple physical servers similar to
  VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
  .
- This package contains the full Python 3 bindings for Open vSwitch database.
+ This package contains the full Python 3 bindings for Open vSwitch
+ database.
