## openvswitch 2.16.4

=== debian/changelog ===
openvswitch (2.16.4-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream point release (LP: #1980212).
  * d/p/CVE-2021-3905.patch: Drop, included in point release.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 23 Aug 2022 17:06:49 +0200

openvswitch (2.16.0-0ubuntu2.1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 20 Jan 2022 12:35:01 +0000
