## openvswitch 2.17.0

=== debian/changelog ===
openvswitch (2.17.0-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * d/control: Switch to using debhelper-compat for debhelper
    versioning.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Feb 2022 10:20:30 +0000

openvswitch (2.17.0~git20220121.109d024-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.
  * d/rules: Use branch-2.17 for snapshots.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Feb 2022 15:35:46 +0000

openvswitch (2.17.0~git20220118.1b9fd88-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Jan 2022 13:06:05 +0000

openvswitch (2.17.0~git20220105.0d1ffb7-0ubuntu1) jammy; urgency=medium

  * New snapshot in preparation for 2.17 release.
  * d/p/*: Drop patches included in upstream snapshot.
  * d/control: Bump DPDK version to 21.11.
  * d/rules: Refresh skip test list for armhf.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Jan 2022 14:12:22 +0000

openvswitch (2.16.0-0ubuntu4) jammy; urgency=medium

  * d/p/netlink-add-parsing-link-layer.patch: Add support for parsing of
    link layer addresses via netlink.
  * d/control: Add iproute2 to Build-Depends.
  * d/p/tests-Handle-endianness-in-netlink-policy-test.patch: Cherry
    pick endian fix for netlink tests.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Nov 2021 12:24:59 +0000

openvswitch (2.16.0-0ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:14 +0000
