=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  autoconf (>= 2.64),
  automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper (>= 10~),
+ debhelper-compat (= 10),
  dh-python,
  graphviz,
+ iproute2,
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64],
- libdpdk-dev (>= 20.11) [amd64 i386 ppc64el arm64],
+ libdpdk-dev (>= 21.11) [amd64 i386 ppc64el arm64],
  libnuma-dev [amd64 i386 ppc64el arm64],
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
