## openvswitch 2.17.2

=== debian/changelog ===
openvswitch (2.17.2-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream point release (LP: #1980211).
  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    Cherry pick feature to improve scalability and performance which is
    required for OVN 22.03.1 (LP: #1980809).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 20 Jul 2022 14:35:11 +0200
