## openvswitch 2.17.5

=== debian/changelog ===
openvswitch (2.17.5-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: remote traffic denial of service via crafted packets
    with IP proto 0
    - debian/patches/CVE-2023-1668.patch: Always mask ip proto field in
      include/openvswitch/meta-flow.h, lib/meta-flow.c,
      ofproto/ofproto-dpif-xlate.c, tests/ofproto-dpif.at,
      tests/ofproto.at, tests/packet-type-aware.at.
    - CVE-2023-1668

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Apr 2023 09:48:01 -0400

openvswitch (2.17.5-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 2.17.5 (LP: #2003060).
  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch: Refresh.
  * d/p/CVE-2022-433x.patch: Drop, included in 2.17.5 point release.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 28 Mar 2023 13:31:06 +0100

openvswitch (2.17.3-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: issues in Organization Specific TLV
    - debian/patches/CVE-2022-433x.patch: fix bugs when parsing malformed
      AutoAttach in lib/lldp/lldp.c, tests/ofproto-dpif.at.
    - CVE-2022-4337
    - CVE-2022-4338

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Feb 2023 08:52:02 -0500

openvswitch (2.17.3-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream point release 2.17.3 (LP: #1995289).
  * d/p/python-Do-not-send-non-zero-flag-for-a-SSL-socket.patch:
    Drop, included in 2.17.3 point release.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 31 Oct 2022 16:49:22 +0100

openvswitch (2.17.2-0ubuntu0.22.04.2) jammy; urgency=medium

  * d/p/python-Do-not-send-non-zero-flag-for-a-SSL-socket.patch:
    Do not send non-zero flag for a SSL socket. (LP: #1985062)

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Wed, 28 Sep 2022 11:59:10 +0100
