## openvswitch 2.17.7

=== debian/changelog ===
openvswitch (2.17.7-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 2.17.7 (LP: #2025323).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 29 Jun 2023 17:51:04 +0200
