## openvswitch 2.17.8

=== debian/changelog ===
openvswitch (2.17.8-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream point release (LP: #2039908).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 20 Oct 2023 05:56:31 +0000
