## openvswitch 2.17.9

=== debian/changelog ===
openvswitch (2.17.9-0ubuntu0.22.04.1~cloud0) focal-yoga; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Mar 2024 15:29:37 +0000

openvswitch (2.17.9-0ubuntu0.22.04.1) jammy-security; urgency=medium

  * Update to 2.17.9 to fix security issues.
    - CVE-2023-3966: vulnerable to crafted Geneve packets
    - CVE-2023-5366: OpenFlow rules bypass via ICMPv6 Neighbor Adv packets
  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    updated for 2.17.9 changes.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 29 Feb 2024 13:45:15 -0500
